-- Weapon: The Socom
-- Rambo_6

-- Called when the weapon is created.

	function onInit( )
		_SWEPSetSound( MyIndex, "single_shot", "Weapon_p228.Single" );
	end


-- Weapon settings.
-- These are only accessed once when setting the weapon up

	function onPrimaryAttack()
	--_EntEmitSoundEx(Owner,"weapons/p228/p228-1.wav",1.0,1.15)
	end


	function getWeaponSwapHands()
		return true;	
	end



	function getWeaponFOV()

		return 74;	

	end

	

	function getWeaponSlot()

		return 1;	

	end

	

	function getWeaponSlotPos()

		return 3;	

	end

	

	function getFiresUnderwater()

		return true;

	end

	

	function getReloadsSingly()

		return false;

	end

	

	function getDamage()

		return 11;

	end

	

	function getPrimaryShotDelay()

		return 0.086;

	end

	

	function getSecondaryShotDelay()

		return 100;

	end

	

	function getPrimaryIsAutomatic()

		return false;

	end

	

	function getSecondaryIsAutomatic()

		return true;

	end

	

	function getBulletSpread()

		return vector3( -0.035, 0.034, 0.034 );

	end

	

	function getViewKick()

		return vector3( -0.6, 0.31, 0.31);

	end

	

	function getViewKickRandom()

		return vector3( -1.3, 0.4, 0.4 );

	end

	


	function getViewModel( )
		return "models/weapons/v_pist_fiveseven.mdl";
	end

	function getWorldModel( )
		return "models/Weapons/W_Alyx_Gun.mdl";
	end

	

	function getClassName()

		return "weapon_socomm";

	end



	function getPrimaryAmmoType()

		return "pistol";

	end

		

	function getSecondaryAmmoType()

		return "none";

	end

	

	-- return -1 if it doesn't use clips

	function getMaxClipPrimary()

		return 20;

	end

	

	function getMaxClipSecondary()

		return -1;

	end

	

	-- ammo in gun by default

	function getDefClipPrimary()

		return 40;

	end

	

	function getDefClipSecondary()

		return -1;

	end



	-- pistol, smg, ar2, shotgun, rpg, phys, crossbow, melee, slam, grenade

	function getAnimPrefix()

		return "pistol";

	end



	function getPrintName()

		return "USSOCOM";

	end

	


	-- 0 = Don't override, shoot bullets, make sound and flash

	-- 1 = Don't shoot bullets but do make flash/sounds

	-- 2 = Only play animations

	-- 3 = Don't do anything

	

	function getPrimaryScriptOverride()

		return 0;

	end



	function getSecondaryScriptOverride()

		return 3;

	end



	function getDeathIcon( )
		return "d_glock";
	end
